spark-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From shiva...@apache.org
Subject spark git commit: [SPARK-8084] [SPARKR] Make SparkR scripts fail on error
Date Thu, 04 Jun 2015 00:02:33 GMT
Repository: spark
Updated Branches:
  refs/heads/branch-1.4 16748694b -> c2c129073


[SPARK-8084] [SPARKR] Make SparkR scripts fail on error

cc shaneknapp pwendell JoshRosen

Author: Shivaram Venkataraman <shivaram@cs.berkeley.edu>

Closes #6623 from shivaram/SPARK-8084 and squashes the following commits:

0ec5b26 [Shivaram Venkataraman] Make SparkR scripts fail on error

(cherry picked from commit 0576c3c4ff9d9bbff208e915bee1ac0d4956548c)
Signed-off-by: Shivaram Venkataraman <shivaram@cs.berkeley.edu>


Project: http://git-wip-us.apache.org/repos/asf/spark/repo
Commit: http://git-wip-us.apache.org/repos/asf/spark/commit/c2c12907
Tree: http://git-wip-us.apache.org/repos/asf/spark/tree/c2c12907
Diff: http://git-wip-us.apache.org/repos/asf/spark/diff/c2c12907

Branch: refs/heads/branch-1.4
Commit: c2c129073f97de5c35532177b0811ff0892429b2
Parents: 1674869
Author: Shivaram Venkataraman <shivaram@cs.berkeley.edu>
Authored: Wed Jun 3 17:02:16 2015 -0700
Committer: Shivaram Venkataraman <shivaram@cs.berkeley.edu>
Committed: Wed Jun 3 17:02:29 2015 -0700

----------------------------------------------------------------------
 R/create-docs.sh | 3 +++
 R/install-dev.sh | 2 ++
 2 files changed, 5 insertions(+)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/spark/blob/c2c12907/R/create-docs.sh
----------------------------------------------------------------------
diff --git a/R/create-docs.sh b/R/create-docs.sh
index 4194172..af47c08 100755
--- a/R/create-docs.sh
+++ b/R/create-docs.sh
@@ -23,6 +23,9 @@
 # After running this script the html docs can be found in 
 # $SPARK_HOME/R/pkg/html
 
+set -o pipefail
+set -e
+
 # Figure out where the script is
 export FWDIR="$(cd "`dirname "$0"`"; pwd)"
 pushd $FWDIR

http://git-wip-us.apache.org/repos/asf/spark/blob/c2c12907/R/install-dev.sh
----------------------------------------------------------------------
diff --git a/R/install-dev.sh b/R/install-dev.sh
index 55ed6f4..b9e2527 100755
--- a/R/install-dev.sh
+++ b/R/install-dev.sh
@@ -26,6 +26,8 @@
 # NOTE(shivaram): Right now we use $SPARK_HOME/R/lib to be the installation directory
 # to load the SparkR package on the worker nodes.
 
+set -o pipefail
+set -e
 
 FWDIR="$(cd `dirname $0`; pwd)"
 LIB_DIR="$FWDIR/lib"


---------------------------------------------------------------------
To unsubscribe, e-mail: commits-unsubscribe@spark.apache.org
For additional commands, e-mail: commits-help@spark.apache.org


Mime
View raw message